<?php
/**
 * @copyright (c) Kufer Software GmbH, Oderstraße 7, D-84453 Mühldorf
 */

namespace Kufer\Web\KuferTools\Basis\Kursdetails\Detailsreiter\Termine\TerminVerlaengernDialog\Kontrolle;

abstract class TerminVerlaengernAbsendenKontrollePresenter extends \Kufer\Web\KuferTools\Basis\Presenter\Presenter
{
  protected function getViewModel()
  {
    $viewModel = $this->getNewViewModel();
    $viewModel->datumNeueKurstage = $this->useCaseResponse->datumNeueKurstage;
    $viewModel->toolId = $this->useCaseResponse->toolId;
    $viewModel->knr = $this->useCaseResponse->knr;
    $viewModel->belegId = $this->useCaseResponse->belegId;
    $viewModel->anzahlKurstage = $this->useCaseResponse->anzahlKurstage;

    return $viewModel;
  }

  protected function getNewViewModel(): TerminVerlaengernAbsendenKontrolleViewModel
  {
    return new TerminVerlaengernAbsendenKontrolleViewModel();
  }
}